## openfpgaloader 0.10.0+git20230202-edea24f

=== debian/changelog ===
openfpgaloader (0.10.0+git20230202-edea24f-1) unstable; urgency=medium

  * Initial source upload after package was accepted.
    - adopts upstream's improved handling of compressed firmwares.

 -- Steffen Moeller <moeller@debian.org>  Fri, 03 Feb 2023 17:30:59 +0100
 

openfpgaloader (0.10.0-3) unstable; urgency=medium

  * Initial release. (Closes: #1018294)
  * d/copyright: Fixed omission of new contributors 
  * d/u/metadata: Added SciCrunch RRID

 -- Steffen Moeller <moeller@debian.org>  Sat, 14 Jan 2023 01:38:40 +0100

openfpgaloader (0.10.0-1) UNRELEASED; urgency=medium

  * New upstream version
    - upstream kindly removed non-DFSG-compliant file from source tree
  * Standards-Version: 4.6.2
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Steffen Moeller <moeller@debian.org>  Thu, 22 Dec 2022 15:16:35 +0100

openfpgaloader (0.9.0-1) UNRELEASED; urgency=medium

  * Initial upload to experimental.

 -- Steffen Moeller <moeller@debian.org>  Sun, 28 Aug 2022 15:38:29 +0200
