## openfpgaloader 0.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
 # set the project name
-project(openFPGALoader VERSION "0.10.0" LANGUAGES CXX)
+project(openFPGALoader VERSION "0.12.0" LANGUAGES CXX)
 add_definitions(-DVERSION=\"v${PROJECT_VERSION}\")
 
+option(ENABLE_OPTIM "Enable build with -O3 optimization level" ON)
 option(BUILD_STATIC "Whether or not to build with static libraries" OFF)
 if (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
 	set(ENABLE_UDEV OFF)
@@ -13,17 +14,23 @@
 option(ENABLE_CMSISDAP "enable cmsis DAP interface (requires hidapi)" ON)
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 	option(ENABLE_LIBGPIOD "enable libgpiod bitbang driver (requires libgpiod)" ON)
+	option(ENABLE_REMOTEBITBANG "enable remote bitbang driver" ON)
 else()
 	set(ENABLE_LIBGPIOD OFF)
+	set(ENABLE_REMOTEBITBANG OFF)
 endif()
 option(USE_PKGCONFIG "Use pkgconfig to find libraries" ON)
 option(LINK_CMAKE_THREADS "Use CMake find_package to link the threading library" OFF)
+set(BLASTERII_PATH "" CACHE STRING "usbBlasterII firmware directory")
 set(ISE_PATH "/opt/Xilinx/14.7" CACHE STRING "ise root directory (default: /opt/Xilinx/14.7)")
 
 ## specify the C++ standard
 set(CMAKE_CXX_STANDARD 11)
 set(CMAKE_CXX_STANDARD_REQUIRED True)
 set(CMAKE_CXX_FLAGS_DEBUG "-g -Wall -Wextra ${CMAKE_CXX_FLAGS_DEBUG}")
+if (ENABLE_OPTIM)
+	set(CMAKE_CXX_FLAGS "-O3 ${CMAKE_CXX_FLAGS}")
+endif()
 
 if (BUILD_STATIC)
 	set(CMAKE_EXE_LINKER_FLAGS "-static-libstdc++ -static ${CMAKE_EXE_LINKER_FLAGS}")
@@ -35,6 +42,7 @@
 add_definitions(-DDATA_DIR=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}\")
 
 add_definitions(-DISE_DIR=\"${ISE_PATH}\")
+add_definitions(-DBLASTERII_DIR=\"${BLASTERII_PATH}\")
 
 if (USE_PKGCONFIG)
 	find_package(PkgConfig REQUIRED)
@@ -44,6 +52,9 @@
 	# if hidraw not found try with libusb
 	if (NOT HIDAPI_FOUND)
 		pkg_check_modules(HIDAPI hidapi-libusb)
+	endif()
+	if (NOT HIDAPI_FOUND)
+		pkg_check_modules(HIDAPI hidapi)
 	endif()
 	# zlib support (gzip)
 	pkg_check_modules(ZLIB zlib)
@@ -81,9 +92,11 @@
 	src/anlogicBitParser.cpp
 	src/anlogicCable.cpp
 	src/ch552_jtag.cpp
+	src/common.cpp
 	src/dfu.cpp
 	src/dfuFileParser.cpp
 	src/dirtyJtag.cpp
+	src/ch347jtag.cpp
 	src/efinix.cpp
 	src/efinixHexParser.cpp
 	src/fx2_ll.cpp
@@ -129,10 +142,12 @@
 	src/anlogicBitParser.hpp
 	src/anlogicCable.hpp
 	src/ch552_jtag.hpp
+	src/common.hpp
 	src/cxxopts.hpp
 	src/dfu.hpp
 	src/dfuFileParser.hpp
 	src/dirtyJtag.hpp
+	src/ch347jtag.hpp
 	src/efinix.hpp
 	src/efinixHexParser.hpp
 	src/fx2_ll.hpp
@@ -180,6 +195,14 @@
 	${LIBFTDI_LIBRARY_DIRS}
 )
 
+if (ENABLE_LIBGPIOD)
+	link_directories(${LIBGPIOD_LIBRARY_DIRS})
+endif()
+
+if (ENABLE_CMSISDAP AND HIDAPI_FOUND)
+	link_directories(${HIDAPI_LIBRARY_DIRS})
+endif()
+
 add_executable(openFPGALoader
 	${OPENFPGALOADER_SOURCE}
 	${OPENFPGALOADER_HEADERS}
@@ -198,8 +221,8 @@
 if (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
 	# winsock provides ntohs
 	target_link_libraries(openFPGALoader ws2_32)
-	
-	target_sources(openFPGALoader PRIVATE src/pathHelper.cpp)	
+
+	target_sources(openFPGALoader PRIVATE src/pathHelper.cpp)
 	list(APPEND OPENFPGALOADER_HEADERS src/pathHelper.hpp)
 endif()
 
@@ -214,13 +237,17 @@
 endif()
 
 if (ENABLE_LIBGPIOD)
-	link_directories(${LIBGPIOD_LIBRARY_DIRS})
 	include_directories(${LIBGPIOD_INCLUDE_DIRS})
 	target_link_libraries(openFPGALoader ${LIBGPIOD_LIBRARIES})
 	add_definitions(-DENABLE_LIBGPIOD=1)
 	target_sources(openFPGALoader PRIVATE src/libgpiodJtagBitbang.cpp)
 	list (APPEND OPENFPGALOADER_HEADERS src/libgpiodJtagBitbang.hpp)
-	message("libgpiod support enabled")
+	if (LIBGPIOD_VERSION VERSION_GREATER_EQUAL 2)
+		message("libgpiod v2 support enabled")
+		add_definitions(-DGPIOD_APIV2)
+	else()
+		message("libgpiod v1 support enabled")
+	endif()
 endif(ENABLE_LIBGPIOD)
 
 if (ENABLE_JETSONNANOGPIO)
@@ -254,11 +281,20 @@
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 	add_definitions(-DENABLE_XVC=1)
 	target_sources(openFPGALoader PRIVATE src/xvc_client.cpp src/xvc_server.cpp)
-	list (APPEND OPENFPGALOADER_HEADERS src/xvc_client.hpp src/xvc_server.cpp)
+	list (APPEND OPENFPGALOADER_HEADERS src/xvc_client.hpp src/xvc_server.hpp)
 	set(CMAKE_EXE_LINKER_FLAGS "-pthread ${CMAKE_EXE_LINKER_FLAGS}")
 	message("Xilinx Virtual Server support enabled")
 else()
 		message("Xilinx Virtual Server support disabled")
+endif()
+
+if (ENABLE_REMOTEBITBANG)
+	add_definitions(-DENABLE_REMOTEBITBANG=1)
+	target_sources(openFPGALoader PRIVATE src/remoteBitbang_client.cpp)
+	list (APPEND OPENFPGALOADER_HEADERS src/remoteBitbang_client.hpp)
+	message("Remote bitbang client support enabled")
+else()
+	message("Remote bitbang client support disabled")
 endif()
 
 if (ZLIB_FOUND)
@@ -292,7 +328,7 @@
 list(INSERT CMAKE_MODULE_PATH 0 ${PROJECT_SOURCE_DIR}/cmake/Modules)
 include(FindGZIP)
 
-if (${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND GZIP_PRG)
+if (NOT ${CMAKE_SYSTEM_NAME} MATCHES "Windows" AND GZIP_PRG)
 	set(SPIOVERJTAG_DIR "${CMAKE_CURRENT_SOURCE_DIR}/spiOverJtag")
 	file(GLOB BITS_FILES RELATIVE ${SPIOVERJTAG_DIR} spiOverJtag/spiOverJtag_*.bit)
 	file(GLOB RBF_FILES RELATIVE ${SPIOVERJTAG_DIR} spiOverJtag/spiOverJtag_*.rbf)
@@ -320,7 +356,7 @@
 	)
 endif()
 
-install(FILES 
+install(FILES
 	${GZ_FILES}
 	DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/openFPGALoader
 )
