=== debian/changelog ===
openfpgaloader (0.12.0-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/copyright: Added missing license information
    ./src/svf_jtag.cpp: * Copyright (C) 2022 phdussud
    Special thanks go to FTPmaster Thorsten for pointing this out.

  [ Steffen Möller ]
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Steffen Möller <moeller@debian.org>  Sun, 17 Mar 2024 21:21:08 +0100
