=== debian/changelog ===
openfpgaloader (0.12.1-1build1) plucky; urgency=medium

  * Rebuild against latest libgpiod

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 06:21:45 -0500

openfpgaloader (0.12.1-1) unstable; urgency=medium

  * Team upload.

  * New upstream version 0.12.1.
  * Replaced obsolete pkg-config build dependency with pkgconf.
  * Added Appstream metainfo XML (Closes: #1071004).
  * Moved udev rules from /lib/ to /usr/lib/ (Closes: #1073764).
  * Updated Standards-Version from 4.6.2 to 4.7.0. No changes needed.
  * Added text format man page installed using txt2man.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 25 Aug 2024 07:58:05 +0200
