=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  zlib1g-dev,
  libgpiod-dev,
  cmake,
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf,
+ txt2man
+Standards-Version: 4.7.0
 Homepage: https://github.com/trabucayre/openFPGALoader
 Vcs-Browser: https://salsa.debian.org/electronics-team/openfpgaloader
 Vcs-Git: https://salsa.debian.org/electronics-team/openfpgaloader.git
