=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 
 %:
 	dh $@
+
+execute_after_dh_install:
+	mkdir -p $(CURDIR)/debian/openfpgaloader/usr/share/man/man1
+	txt2man -t openFPGALoader -s 1 openFPGALoader.txt > $(CURDIR)/debian/openfpgaloader/usr/share/man/man1/openFPGALoader.1
