## openfpgaloader 0.13.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.5)
 
 # set the project name
-project(openFPGALoader VERSION "0.12.1" LANGUAGES CXX)
+project(openFPGALoader VERSION "0.13.1" LANGUAGES CXX)
 add_definitions(-DVERSION=\"v${PROJECT_VERSION}\")
 
 option(ENABLE_OPTIM "Enable build with -O3 optimization level" ON)
@@ -12,6 +12,7 @@
 	option(ENABLE_UDEV "use udev to search JTAG adapter from /dev/xx" ON)
 endif()
 option(ENABLE_CMSISDAP "enable cmsis DAP interface (requires hidapi)" ON)
+option(ENABLE_GOWIN_GWU2X "enable Gowin GWU2X interface" ON)
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 	option(ENABLE_LIBGPIOD "enable libgpiod bitbang driver (requires libgpiod)" ON)
 	option(ENABLE_REMOTEBITBANG "enable remote bitbang driver" ON)
@@ -48,10 +49,10 @@
 	find_package(PkgConfig REQUIRED)
 	pkg_check_modules(LIBFTDI REQUIRED libftdi1)
 	pkg_check_modules(LIBUSB REQUIRED libusb-1.0)
-	pkg_check_modules(HIDAPI hidapi-hidraw)
-	# if hidraw not found try with libusb
+	pkg_check_modules(HIDAPI hidapi-libusb)
+	# if libusb not found try with hidraw
 	if (NOT HIDAPI_FOUND)
-		pkg_check_modules(HIDAPI hidapi-libusb)
+		pkg_check_modules(HIDAPI hidapi-hidraw)
 	endif()
 	if (NOT HIDAPI_FOUND)
 		pkg_check_modules(HIDAPI hidapi)
@@ -218,6 +219,16 @@
 	${LIBFTDI_LIBRARIES}
 )
 
+# Gowin GWU2X JTAG interface
+if(ENABLE_GOWIN_GWU2X)
+	target_sources(openFPGALoader PRIVATE src/gwu2x_jtag.cpp)
+	list (APPEND OPENFPGALOADER_HEADERS src/gwu2x_jtag.hpp)
+	add_definitions(-DENABLE_GOWIN_GWU2X=1)
+	message("Gowin GWU2X support enabled")
+else()
+	message("Gowin GWU2X support disabled")
+endif()
+
 if (${CMAKE_SYSTEM_NAME} MATCHES "Windows")
 	# winsock provides ntohs
 	target_link_libraries(openFPGALoader ws2_32)
