=== debian/changelog ===
openfpgaloader (0.13.1-1) unstable; urgency=medium

  * New upstream version
  * Update d/copyright
  * Autogenerate man page with help2man to eliminate static patch
  * Standards-Version: 4.7.2 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Sun, 02 Mar 2025 21:31:27 +0100
