=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  libgpiod-dev,
  cmake,
  pkgconf,
- txt2man
-Standards-Version: 4.7.0
+ help2man
+Standards-Version: 4.7.2
 Homepage: https://github.com/trabucayre/openFPGALoader
 Vcs-Browser: https://salsa.debian.org/electronics-team/openfpgaloader
 Vcs-Git: https://salsa.debian.org/electronics-team/openfpgaloader.git
