=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

execute_before_dh_install:
	help2man -v "-V" $$(find . -name openFPGALoader -type f | grep -v debian | head -n 1) > debian/openFPGALoader.1

clean:
	dh clean
	rm -f debian/openFPGAloader.1
