=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%openfpgaloader-$1.tar.gz%" \
   https://github.com/trabucayre/openFPGALoader/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
